summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-07-12 18:52:15 +0000
committer Eric Hameleers <alien@slackware.com>2019-07-13 08:59:47 +0200
commit424ebe6bb56b8c6aca51f472910c5401ce210aa2 (patch)
treef9bf22ddd9ba89ec1166498e56a7f5e741c46980 /source/l
parent61ca076d7dd5bad5ceeaf9cb3fccd6d7f0db84ec (diff)
downloadcurrent-424ebe6bb56b8c6aca51f472910c5401ce210aa2.tar.gz
current-424ebe6bb56b8c6aca51f472910c5401ce210aa2.tar.xz
Fri Jul 12 18:52:15 UTC 201920190712185215
a/kernel-firmware-20190712_d52556e-noarch-1.txz: Upgraded. l/M2Crypto-0.35.2-x86_64-2.txz: Rebuilt. Upgraded to typing-3.7.4. l/pycurl-7.43.0.3-x86_64-1.txz: Upgraded. tcl/tclx-8.4.2-x86_64-1.txz: Upgraded. x/xauth-1.1-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/M2Crypto/M2Crypto.SlackBuild12
-rwxr-xr-xsource/l/pycurl/pycurl.SlackBuild8
-rw-r--r--source/l/pycurl/pycurl.url1
3 files changed, 11 insertions, 10 deletions
diff --git a/source/l/M2Crypto/M2Crypto.SlackBuild b/source/l/M2Crypto/M2Crypto.SlackBuild
index dadb99276..6c53638a0 100755
--- a/source/l/M2Crypto/M2Crypto.SlackBuild
+++ b/source/l/M2Crypto/M2Crypto.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=M2Crypto
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -70,9 +70,9 @@ cp -a \
# Embed required dep typing module:
cd $TMP
-rm -rf typing-3.6.6
-tar xvf $CWD/typing-3.6.6.tar.xz || exit 1
-cd typing-3.6.6 || exit 1
+rm -rf typing-3.7.4
+tar xvf $CWD/typing-3.7.4.tar.xz || exit 1
+cd typing-3.7.4 || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -80,10 +80,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
python setup.py install --root=$PKG || exit 1
-mkdir -p $PKG/usr/doc/typing-3.6.6
+mkdir -p $PKG/usr/doc/typing-3.7.4
cp -a \
CHANGES INSTALL* LICENCE* PKG-INFO README* doc/* \
- $PKG/usr/doc/typing-3.6.6
+ $PKG/usr/doc/typing-3.7.4
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
diff --git a/source/l/pycurl/pycurl.SlackBuild b/source/l/pycurl/pycurl.SlackBuild
index 67d79c8db..ff8b88e6d 100755
--- a/source/l/pycurl/pycurl.SlackBuild
+++ b/source/l/pycurl/pycurl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pycurl
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -62,8 +62,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-python setup.py --with-ssl install --root=$PKG || exit 1
-python3 setup.py --with-ssl install --root=$PKG || exit 1
+python setup.py --with-openssl install --root=$PKG || exit 1
+python3 setup.py --with-openssl install --root=$PKG || exit 1
find $PKG | xargs file | grep -e "shared object" -e "executable" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/pycurl/pycurl.url b/source/l/pycurl/pycurl.url
new file mode 100644
index 000000000..52db3a348
--- /dev/null
+++ b/source/l/pycurl/pycurl.url
@@ -0,0 +1 @@
+https://pypi.python.org/pypi/